%global pname     epgsearch
%global plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%global configdir %(vdr-config --configdir  2>/dev/null || echo ERROR)
%global vardir    %(vdr-config --vardir     2>/dev/null || echo ERROR)
%global apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%global vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)
%global beta      beta21
%global __provides_exclude_from ^%{plugindir}/.*\.so.*$

Name:           vdr-%{pname}
Version:        0.9.25
Release:        0.7.%{beta}%{?dist}
Summary:        Powerful schedules menu replacement plugin for VDR

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://winni.vdr-developer.org/epgsearch/index_eng.html
Source0:        http://winni.vdr-developer.org/epgsearch/downloads/beta/%{name}-%{version}.%{beta}.tgz
Source1:        %{name}.conf
Source2:        %{name}-epgsearchonly.conf
Source3:        %{name}-conflictcheckonly.conf
Source4:        %{name}-quickepgsearch.conf
Source5:        %{name}-epgsearchmenu.conf
# Fedora specific, no need to send upstream
Patch0:         %{name}-0.9.25.beta21-fedora.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel
BuildRequires:  gettext
Requires:       vdr(abi)%{?_isa} = %{apiver}

%description
This plugin provides a powerful replacement for VDR's default
schedules menu entry.  It looks like the standard schedules menu, but
adds several functions, such as additional commands for EPG entries,
reusable queries which can be used as dynamic "search timers" etc.


%prep
%setup -q -n %{pname}-%{version}.%{beta}
sed -e 's|__VARDIR__|%{vardir}|g' %{PATCH0} | %{__patch} -p1 --fuzz=0

for f in scripts/epgsearchcmds-french.conf conf/epgsearchcats.conf-tvm2vdr* ; do
    iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f ; mv $f.utf8 $f
done

chmod -x scripts/*


%build
make %{?_smp_mflags} AUTOCONFIG= LIBDIR=. LOCALEDIR=./locale \
    VDRDIR=%{_libdir}/vdr all


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-*.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}

install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/epgsearchonly.conf
install -Dpm 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/conflictcheckonly.conf
install -Dpm 644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/quickepgsearch.conf

install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins/epgsearch/conf.d
install -pm 644 %{SOURCE5} \
  $RPM_BUILD_ROOT%{configdir}/plugins/epgsearch/epgsearchmenu.conf

install -dm 755 $RPM_BUILD_ROOT%{vardir}/epgsearch

install -Dpm 755 createcats $RPM_BUILD_ROOT%{_bindir}/createcats

make install-doc MANDIR=$RPM_BUILD_ROOT%{_mandir}

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale

%find_lang %{name} --all-name --with-man


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%doc COPYING HISTORY conf/ scripts/
%lang(de) %doc HISTORY.DE
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/*.conf
%{_bindir}/createcats
%{plugindir}/libvdr-*.so.%{apiver}
%{_mandir}/man[145]/*.[145]*
%defattr(-,%{vdr_user},root,-)
%config(noreplace) %{configdir}/plugins/epgsearch/
%config(noreplace) %{vardir}/epgsearch/
%defattr(-,root,root,-)


%changelog
* Tue May  3 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.7.beta21
- Install dummy epgsearchmenu.conf to auto-enable vdrsymbol-fonts icons.
- Drop %%defattr no longer needed with rpmbuild >= 4.4.

* Mon Feb 28 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.6.beta21
- Filter autogenerated plugin lib Provides (rpmbuild >= 4.9).

* Mon Feb 28 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.5.beta21
- Update to 0.9.25.beta21.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.25-0.5.beta20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 10 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.4.beta20
- Update to 0.9.25.beta20.

* Wed Jan  5 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.4.beta18
- Update to 0.9.25.beta18.
- Patch example scripts to match default Fedora config better.

* Sun Jun 20 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.4.beta17
- Update to 0.9.25.beta17; "long short text" patch applied upstream.

* Wed Mar 17 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.4.beta16
- Patch to fix max file name length overflow with long "short" texts.

* Mon Feb  1 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.3.beta16
- Update to 0.9.25.beta16; regexlib and Finnish patches applied upstream.

* Thu Oct 15 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.3.beta15
- Update to 0.9.25.beta15.
- Sendmail, regex includes and man section patches applied upstream.
- Point URL to English version of the project home page.

* Mon Aug  3 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.3.beta14
- Move many files that are not config ones but more like state data edited
  through the OSD from /etc to /var.
- Patch to use sendmail for sending mail by default.
- Require ISA qualified vdr(abi).
- Include sample config files in docs.
- Own config dir structure.

* Sun Jul 19 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.2.beta14
- Revert to using system regex, building with more than one regexp
  implementation makes no sense and pcre and tre seem to have more issues.
  Also patch to make builds with both pcre and tre less likely to happen.
- Patch to make sure correct regex headers are used and clean up unused ones.
- Patch to make path to sendmail executable settable at build time.
- Patch to fix embedded man page sections for non-section 5 man pages.
- Patch to improve some Finnish translations.

* Wed Jul 15 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.9.25-0.1.beta14
- Update to 0.9.25.beta14; gcc 4.3 patch no longer needed.
- Build with PCRE and TRE support.
- Use %%global instead of %%define.
- Specfile cleanups.

* Sun Sep 07 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.24-0.3
- Add gcc 4.3 patch from e-tobi

* Sun May 05 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.24-0.2
- New stable release

* Sun Apr 20 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.24-0.1.beta27
- New beta
- Handle VDR 1.6 style i18n
- Update license

* Wed Sep  5 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.9.23-0.1
- 0.9.23.
- License: GPL+

* Sun May 27 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.9.22-0.1
- 0.9.22.

* Sun Apr 29 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.9.21-0.1
- 0.9.21.
- Include extra scripts in docs.

* Tue Jan 30 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.9.20-0.1
- 0.9.20.

* Sun Jan  7 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.9.19-0.2
- Rebuild for VDR 1.4.5.

* Sun Nov 19 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.9.19-0.1
- First build.
